#
# spec file for package python-Camelot
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Camelot
Version:        13.04.13
Release:        2.2
Url:            http://www.python-camelot.com
Summary:        A python GUI framework on top of Sqlalchemy and PyQt
License:        GPL-2.0
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/C/Camelot/Camelot-%{version}-gpl-pyqt.tar.gz
Source1:        python-Camelot-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Jinja2 >= 2.6
Requires:       python-babel
Requires:       python-chardet >= 2.1.1
Requires:       python-sqlalchemy >= 0.8.0
Requires:       python-sqlalchemy-migrate >= 0.7.1
Requires:       python-xlrd >= 0.9.0
Requires:       python-xlwt >= 0.7.4
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A python GUI framework on top of Sqlalchemy and PyQt, inspired by the Django admin interface.
Start building desktop applications at warp speed, simply by adding some additional
information to you model definition.

%prep
%setup -q -n Camelot-%{version}-gpl-pyqt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/*
%{_bindir}/camelot_*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 13.04.13
  * Uses SQLAlchemy 0.8.0
  * All default models migrated from Elixir to Declarative
  * Replacements for most of the Elixir functions that are compatible with
    Declarative
  * Search splits search strings between spaces and searches for a combination
    of the elements
  * Russian translations
  * The :class:`camelot.model.batch_job.BatchJob` is reworked to have more
    robust error handling, and a batch job becomes useable as a context manager
  * Decouple the :class:`camelot.core.memento.SqlMemento`
    from :class:`camelot.model.memento.Memento`, so the change tracking system
    becomes customizable.
  * List of changes can be accessed from the form view
  * Support for using an existing database through SQLAlchemy reflection
  * Primary key columns are not editable by default
  * Documents in print preview can be edited before printing
  * Import and export have configurable columns
  * Add :class:`camelot.view.action_steps.print_preview.PrintChart` action step
  * Adapt printing of charts to matplotlib 1.0
  * Fix `maximum` field attribute of rating fields in editor and delegate.
  * Workaround for form window hiding on Mac
  * The frozen columns feature has been removed in favor of the column groups
  * The embedded form has been removed in favour of :meth:`camelot.admin.object
  _admin.ObjectAdmin.get_compounding_objects`
  * Unittests cover 80%% of the code
  * See :ref:`migrate-latest` for documentation on how to upgrade an
    existing Camelot project to the latest version
- Adapt to upstream name change Camelot-$version to Camelot-$version-gpl-pyqt
- Remove python-elixir requirement; not needed anymore
* Fri Jun 29 2012 alexandre@exatati.com.br
- Update to 12.06.29:
  * Port to sqlalchemy 0.5.x
  * A busy indicator in the status bar
* Tue Jan  3 2012 alexandre@exatati.com.br
- Update to 11.12.30:
  * Fix inclusion of stylesheets and templates in the egg
- Aditional changes from 11.12.29:
  * Import from file wizard supports importing excel files
  * A number of new ActionStep classes that can be used in custom
    class Action classes or serve as an example :
  * camelot.view.action_steps.change_object.ChangeObjects
  * camelot.view.action_steps.gui.CloseView
  * camelot.view.action_steps.gui.MessageBox
  * camelot.view.action_steps.select_object.SelectObject
  * Move the repository to gitorious
  * The toolbar in the one-to-many and many-to-many editor are configurable
    using the ObjectAdmin.get_related_toolbar_actions method.
  * Spanish translations
  * Possibility to add a close button to a form and to customize the form
    close action
  * Filters can have a default value
  * Main menu and toolbars are configurable in the ApplicationAdmin
    through the use of actions, which allows creation of reduced main windows
  * Rewrite of Camelot functions behind toolbars and menus to actions, resulting
    in a number of Action classes with sample code :
  * camelot.admin.action.application_action.ShowHelp
  * camelot.admin.action.application_action.ShowAbout
  * camelot.admin.action.application_action.Backup
  * camelot.admin.action.application_action.Restore
  * camelot.admin.action.form_action.CloseForm
  * camelot.admin.action.list_action.OpenNewView
  * camelot.admin.action.list_action.ToPreviousRow
  * camelot.admin.action.list_action.ToNextRow
  * camelot.admin.action.list_action.ToFirstRow
  * camelot.admin.action.list_action.ToLastRow
  * camelot.admin.action.list_action.ExportSpreadsheet
  * camelot.admin.action.list_action.PrintPreview
  * camelot.admin.action.list_action.SelectAll
  * camelot.admin.action.list_action.ImportFromFile
  * camelot.admin.action.list_action.ReplaceFieldContents
  * Move to SQLAlchemy 7.x
  * Undefer all fields that are going to be used in a view when querying the
    database
  * Reduction of the lines of code with 4%%
- Aditional changes from 11.11.16:
  * Implementation of the new actions proposal, please consult the
    documentation and the tutorial of the actions to ease the migration.
    Most old style actions can be replaced with the new style action
    `camelot.admin.action.list_action.CallMethod`
  * Delayed creation of widgets on tabs to improve performance for
    screens with lots of fields
  * Move to migrate 7.1
  * New splashscreen
  * Italian translations
  * PySide compatibility
- License in SPDX format;
- Fix Group tag;
- Removed CFLAGS and %%clean section.
* Sat Sep 10 2011 alexandre@exatati.com.br
- Package renamed from python-camelot;
- Update to 11.09.10:
  - Sorry, no changelog.
- Minor fixes in spec file.
* Sun May 22 2011 alexandre@exatati.com.br
- Fixed Requires in spec file as SR #70965 from Hans-Peter Jansen
  <hpj@urpla.net>.
* Fri May 13 2011 alexandre@exatati.com.br
- Update to 11.05.13:
  * add legend function to chart container
  * Workspace maximizes when double clicking on tab bar
  * Fix tab behavour of some editors
  * Support for editing columns in the frozen part of a table view
  * New DateTime Editor
  * More intuitive navigation pane
  * progress dialog when records are deleted
  * FileEditor supports removing files after copying them
  * EntityAdmin changes
  * supports objects mapped with plain SQLAlchemy, documentation on how
    to use this
  * confirm_delete reworked to delete_mode
  * expanded_list_search option to tune which fields show up
  * ApplicationAdmin changes
  * actions_changed_signal
  * application actions show up in desktop workspace
  * postgres support for backup / restore
  * new actions : DocxApplicationAction, PixmapFormAction
  * Most editors now support background_color, editable and tooltip
  as dynamic attributes
- Fix spec file.
* Sun Nov 28 2010 alexandre@exatati.com.br
- Update to 10.11.27.
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 10.07.02;
- Removed readme_setup.patch.
* Wed Mar 31 2010 alexandre@exatati.com.br
- Added readme_setup.patch to fix build problem that tries to open
  README which does not exist;
- Spec file cleaned with spec-cleaner.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Initial package (09.12.07) for openSUSE.
